Support » Plugin: SMTP Mailing Queue » Is this compatible with PHP 7.1 or 7.2?

  • Resolved LucasHilty

    (@lucashilty)


    The PHP checker from WP Engine suggests it is not, but I’m curious what you suggest. I’m currently on PHP 7, but I’d like to update.

Viewing 3 replies - 1 through 3 (of 3 total)
  • It appears to work just fine for PHP 7.2.11.

    Plugin Author Birmania

    (@birmania)

    Hi @lucashilty,

    Yet it is. 😉

    In PHP 7.2.19 I get this in my debug log every time a message is queued:

    [02-Aug-2019 07:51:07 UTC] PHP Deprecated: Non-static method SMTPMailingQueueAttachments::storeAttachments() should not be called statically in wp-content/plugins/smtp-mailing-queue/classes/SMTPMailingQueue.php on line 234

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.